## ros-one-rospy-tutorials 0.10.3-0noble.20260220.2219

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rospy_tutorials)

find_package(catkin REQUIRED COMPONENTS message_generation std_msgs)

add_message_files(DIRECTORY msg FILES Floats.msg HeaderString.msg)
add_service_files(DIRECTORY srv FILES AddTwoInts.srv BadTwoInts.srv)

generate_messages(DEPENDENCIES std_msgs)

catkin_package(CATKIN_DEPENDS message_runtime std_msgs)

# do not wildcard install files since the root folder of the package will contain a debian folder for releasing
catkin_install_python(PROGRAMS
  001_talker_listener/listener
  001_talker_listener/listener.py
  001_talker_listener/talker
  001_talker_listener/talker.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/001_talker_listener
)
install(FILES
  001_talker_listener/README
  001_talker_listener/talker_listener.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/001_talker_listener
)

catkin_install_python(PROGRAMS
  002_headers/listener_header.py
  002_headers/talker_header.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/002_headers
)
install(FILES
  002_headers/headers.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/002_headers
)

catkin_install_python(PROGRAMS
  003_listener_with_user_data/listener_with_user_data.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/003_listener_with_user_data
)
install(FILES
  003_listener_with_user_data/listener_with_user_data.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/003_listener_with_user_data
)

catkin_install_python(PROGRAMS
  004_listener_subscribe_notify/listener_subscribe_notify.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/004_listener_subscribe_notify
)
install(FILES
  004_listener_subscribe_notify/listener_subscribe_notify.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/004_listener_subscribe_notify
)

catkin_install_python(PROGRAMS
  005_add_two_ints/add_two_ints_client
  005_add_two_ints/add_two_ints_server
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/005_add_two_ints
)

catkin_install_python(PROGRAMS
  006_parameters/param_talker.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/006_parameters
)
install(FILES
  006_parameters/param_talker.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/006_parameters
)

catkin_install_python(PROGRAMS
  007_connection_header/client_connection_header.py
  007_connection_header/listener_connection_header.py
  007_connection_header/server_connection_header.py
  007_connection_header/talker_connection_header.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/007_connection_header
)
install(FILES
  007_connection_header/connection_header.launch
  007_connection_header/README
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/007_connection_header
)

catkin_install_python(PROGRAMS
  008_on_shutdown/publish_on_shutdown.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/008_on_shutdown
)
install(FILES
  008_on_shutdown/on_shutdown.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/008_on_shutdown
)

catkin_install_python(PROGRAMS
  009_advanced_publish/advanced_publish.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/009_advanced_publish
)
install(FILES
  009_advanced_publish/advanced_publish.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/009_advanced_publish
)

catkin_install_python(PROGRAMS
  010_publish_pointcloud2/publish_pointcloud2.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/010_publish_pointcloud2
)
install(FILES
  010_publish_pointcloud2/publish_pointcloud2.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/010_publish_pointcloud2
)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest)
  foreach(T
      test/test-add-two-ints.launch
      test/test-peer-subscribe-notify.launch
      test/test-add-two-ints-with-roscpp-server.launch
      test/test-talker-listener.launch
      test/test-talker-listener-with-roscpp.launch
      test/test-talker-listener-with-timer.launch
      test/test-on-shutdown.launch
      test/test-connection-header.launch)
     add_rostest(${T})
  endforeach()
endif()

## ros-one-rospy-tutorials 0.10.3-0jammy.20260220.2209

=== debian/changelog ===
ros-one-rospy-tutorials (0.10.3-0jammy.20260220.2209) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 20 Feb 2026 22:09:00 +0000

ros-one-rospy-tutorials (0.10.3-0jammy) jammy; urgency=high

  * added pointcoud2 example (#111 <https://github.com/ros/ros_tutorials/issues/111>)
  * Update maintainers (#102 <https://github.com/ros/ros_tutorials/issues/102>)
  * Contributors: Evan Flynn, Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 10 Apr 2025 00:00:00 -0000

ros-one-rospy-tutorials (0.10.2-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 31 Jul 2020 00:00:00 -0000

ros-one-rospy-tutorials (0.10.1-0jammy) jammy; urgency=high

  * fix syntax to be Python 3 compatible (#87 <https://github.com/ros/ros_tutorials/issues/87>)

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 22 May 2020 00:00:00 -0000

ros-one-rospy-tutorials (0.10.0-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 12 May 2020 00:00:00 -0000

ros-one-rospy-tutorials (0.9.2-0jammy) jammy; urgency=high

  * add print parenthesis for Python 3 (#82 <https://github.com/ros/ros_tutorials/issues/82>)
  * bump CMake minimum version to avoid CMP0048 warning (#81 <https://github.com/ros/ros_tutorials/issues/81>)

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 26 Feb 2020 00:00:00 -0000

ros-one-rospy-tutorials (0.9.1-0jammy) jammy; urgency=high

  * add missing dependency for tests (#50 <https://github.com/ros/ros_tutorials/issues/50>)

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 04 Mar 2019 00:00:00 -0000

ros-one-rospy-tutorials (0.9.0-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 11 Apr 2018 00:00:00 -0000

ros-one-rospy-tutorials (0.8.1-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 27 Jul 2017 00:00:00 -0000

ros-one-rospy-tutorials (0.8.0-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 10 Mar 2017 00:00:00 -0000

ros-one-rospy-tutorials (0.7.1-0jammy) jammy; urgency=high

  * add example of periodical publishing with rospy.Timer (#34 <https://github.com/ros/ros_tutorials/issues/34>)

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 24 Oct 2016 00:00:00 -0000

ros-one-rospy-tutorials (0.7.0-0jammy) jammy; urgency=high

  * fix minor misleading comment (#27 <https://github.com/ros/ros_tutorials/pull/27>)

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 18 Mar 2016 00:00:00 -0000

ros-one-rospy-tutorials (0.6.1-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Sat, 19 Sep 2015 00:00:00 -0000

ros-one-rospy-tutorials (0.6.0-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 May 2015 00:00:00 -0000

ros-one-rospy-tutorials (0.5.3-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 04 May 2015 00:00:00 -0000

ros-one-rospy-tutorials (0.5.2-0jammy) jammy; urgency=high

  * update code style of examples (#18 <https://github.com/ros/ros_tutorials/pull/18>, #19 <https://github.com/ros/ros_tutorials/pull/19>)

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 23 Dec 2014 00:00:00 -0000

ros-one-rospy-tutorials (0.5.1-0jammy) jammy; urgency=high

  * fix install when building Debian package

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 08 May 2014 00:00:00 -0000

ros-one-rospy-tutorials (0.5.0-0jammy) jammy; urgency=high

  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * use queue_size for rospy.Publisher (ros/ros_comm#169 <https://github.com/ros/ros_comm/issues/169>)
  * use catkin_install_python() to install Python scripts (#17 <https://github.com/ros/ros_tutorials/issues/17>)

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 07 May 2014 00:00:00 -0000

ros-one-rospy-tutorials (0.4.3-0jammy) jammy; urgency=high

  * python 3 compatibility (#13 <https://github.com/ros/ros_tutorials/issues/13>)
  * remove load_manifest calls

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 07 Jan 2014 00:00:00 -0000

ros-one-rospy-tutorials (0.4.2-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 04 Oct 2013 00:00:00 -0000

ros-one-rospy-tutorials (0.4.1-0jammy) jammy; urgency=high

  * check for CATKIN_ENABLE_TESTING

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 11 Sep 2013 00:00:00 -0000

ros-one-rospy-tutorials (0.4.0-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 06 Sep 2013 00:00:00 -0000

ros-one-rospy-tutorials (0.3.13-0jammy) jammy; urgency=high

  * check for CATKIN_ENABLE_TESTING
  * remove mainpage.dox

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 21 Aug 2013 00:00:00 -0000

ros-one-rospy-tutorials (0.3.12-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 29 Mar 2013 00:00:00 -0000

ros-one-rospy-tutorials (0.3.11-0jammy) jammy; urgency=high

  * update email in package.xml

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 Mar 2013 00:00:00 -0000

ros-one-rospy-tutorials (0.3.10-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 08 Mar 2013 00:00:00 -0000

ros-one-rospy-tutorials (0.3.9-0jammy) jammy; urgency=high

  * modified dep type of catkin

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 21 Dec 2012 00:00:00 -0000

ros-one-rospy-tutorials (0.3.8-0jammy) jammy; urgency=high

  * add missing downstream depend
  * switched from langs to message_* packages

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 13 Dec 2012 00:00:00 -0000

ros-one-rospy-tutorials (0.3.7-0jammy) jammy; urgency=high

  * fix node names (fix #2 <https://github.com/ros/ros_tutorials/issues/2>)

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 06 Dec 2012 00:00:00 -0000

ros-one-rospy-tutorials (0.3.6-0jammy) jammy; urgency=high

  * fix catkin function order

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 30 Oct 2012 00:00:00 -0000

ros-one-rospy-tutorials (0.3.5-0jammy) jammy; urgency=high





=== debian/control ===
Source: ros-one-rospy-tutorials
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin (>= 0.5.68), ros-one-message-generation, ros-one-rostest, ros-one-std-msgs
Homepage: http://www.ros.org/wiki/rospy_tutorials
Standards-Version: 3.9.2

Package: ros-one-rospy-tutorials
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-message-runtime, ros-one-rospy, ros-one-std-msgs
Description: This package attempts to show the features of ROS python API step-by-step, including using messages, servers, parameters, etc.
 These tutorials are compatible with the nodes in roscpp_tutorial.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-rospy-tutorials//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-rospy-tutorials 0.10.3-0noble.20251023.0114

=== debian/changelog ===
ros-one-rospy-tutorials (0.10.3-0noble.20251023.0114) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 23 Oct 2025 01:14:03 +0000

ros-one-rospy-tutorials (0.10.3-0noble) noble; urgency=high

  * added pointcoud2 example (#111 <https://github.com/ros/ros_tutorials/issues/111>)
  * Update maintainers (#102 <https://github.com/ros/ros_tutorials/issues/102>)
  * Contributors: Evan Flynn, Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 10 Apr 2025 00:00:00 -0000

ros-one-rospy-tutorials (0.10.2-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 31 Jul 2020 00:00:00 -0000

ros-one-rospy-tutorials (0.10.1-0noble) noble; urgency=high

  * fix syntax to be Python 3 compatible (#87 <https://github.com/ros/ros_tutorials/issues/87>)

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 22 May 2020 00:00:00 -0000

ros-one-rospy-tutorials (0.10.0-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 12 May 2020 00:00:00 -0000

ros-one-rospy-tutorials (0.9.2-0noble) noble; urgency=high

  * add print parenthesis for Python 3 (#82 <https://github.com/ros/ros_tutorials/issues/82>)
  * bump CMake minimum version to avoid CMP0048 warning (#81 <https://github.com/ros/ros_tutorials/issues/81>)

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 26 Feb 2020 00:00:00 -0000

ros-one-rospy-tutorials (0.9.1-0noble) noble; urgency=high

  * add missing dependency for tests (#50 <https://github.com/ros/ros_tutorials/issues/50>)

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 04 Mar 2019 00:00:00 -0000

ros-one-rospy-tutorials (0.9.0-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 11 Apr 2018 00:00:00 -0000

ros-one-rospy-tutorials (0.8.1-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 27 Jul 2017 00:00:00 -0000

ros-one-rospy-tutorials (0.8.0-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 10 Mar 2017 00:00:00 -0000

ros-one-rospy-tutorials (0.7.1-0noble) noble; urgency=high

  * add example of periodical publishing with rospy.Timer (#34 <https://github.com/ros/ros_tutorials/issues/34>)

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 24 Oct 2016 00:00:00 -0000

ros-one-rospy-tutorials (0.7.0-0noble) noble; urgency=high

  * fix minor misleading comment (#27 <https://github.com/ros/ros_tutorials/pull/27>)

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 18 Mar 2016 00:00:00 -0000

ros-one-rospy-tutorials (0.6.1-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Sat, 19 Sep 2015 00:00:00 -0000

ros-one-rospy-tutorials (0.6.0-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 May 2015 00:00:00 -0000

ros-one-rospy-tutorials (0.5.3-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 04 May 2015 00:00:00 -0000

ros-one-rospy-tutorials (0.5.2-0noble) noble; urgency=high

  * update code style of examples (#18 <https://github.com/ros/ros_tutorials/pull/18>, #19 <https://github.com/ros/ros_tutorials/pull/19>)

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 23 Dec 2014 00:00:00 -0000

ros-one-rospy-tutorials (0.5.1-0noble) noble; urgency=high

  * fix install when building Debian package

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 08 May 2014 00:00:00 -0000

ros-one-rospy-tutorials (0.5.0-0noble) noble; urgency=high

  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * use queue_size for rospy.Publisher (ros/ros_comm#169 <https://github.com/ros/ros_comm/issues/169>)
  * use catkin_install_python() to install Python scripts (#17 <https://github.com/ros/ros_tutorials/issues/17>)

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 07 May 2014 00:00:00 -0000

ros-one-rospy-tutorials (0.4.3-0noble) noble; urgency=high

  * python 3 compatibility (#13 <https://github.com/ros/ros_tutorials/issues/13>)
  * remove load_manifest calls

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 07 Jan 2014 00:00:00 -0000

ros-one-rospy-tutorials (0.4.2-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 04 Oct 2013 00:00:00 -0000

ros-one-rospy-tutorials (0.4.1-0noble) noble; urgency=high

  * check for CATKIN_ENABLE_TESTING

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 11 Sep 2013 00:00:00 -0000

ros-one-rospy-tutorials (0.4.0-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 06 Sep 2013 00:00:00 -0000

ros-one-rospy-tutorials (0.3.13-0noble) noble; urgency=high

  * check for CATKIN_ENABLE_TESTING
  * remove mainpage.dox

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 21 Aug 2013 00:00:00 -0000

ros-one-rospy-tutorials (0.3.12-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 29 Mar 2013 00:00:00 -0000

ros-one-rospy-tutorials (0.3.11-0noble) noble; urgency=high

  * update email in package.xml

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 Mar 2013 00:00:00 -0000

ros-one-rospy-tutorials (0.3.10-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 08 Mar 2013 00:00:00 -0000

ros-one-rospy-tutorials (0.3.9-0noble) noble; urgency=high

  * modified dep type of catkin

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 21 Dec 2012 00:00:00 -0000

ros-one-rospy-tutorials (0.3.8-0noble) noble; urgency=high

  * add missing downstream depend
  * switched from langs to message_* packages

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 13 Dec 2012 00:00:00 -0000

ros-one-rospy-tutorials (0.3.7-0noble) noble; urgency=high

  * fix node names (fix #2 <https://github.com/ros/ros_tutorials/issues/2>)

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 06 Dec 2012 00:00:00 -0000

ros-one-rospy-tutorials (0.3.6-0noble) noble; urgency=high

  * fix catkin function order

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 30 Oct 2012 00:00:00 -0000

ros-one-rospy-tutorials (0.3.5-0noble) noble; urgency=high





## ros-one-rospy-tutorials 0.10.3-0noble.20260220.2219

=== debian/changelog ===
ros-one-rospy-tutorials (0.10.3-0noble.20260220.2219) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 20 Feb 2026 22:19:06 +0000
